Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.SchemaField Class Reference
Inheritance diagram for com.foxit.sdk.pdf.SchemaField:

## Public Member Functions
| SchemaField ()
| Constructor.
| SchemaField (SchemaField other)
| Constructor, with another schema field object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getDisplayName () throws com.foxit.sdk.PDFException
| Get the display name. More...
String | getKeyName () throws com.foxit.sdk.PDFException
| Get the key name string. More...
String | getSubtypeName () throws com.foxit.sdk.PDFException
| Get the subtype name string. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
boolean | isVisible () throws com.foxit.sdk.PDFException
| Check if current field is initially visible in application or not. More...
void | setDisplayName (String display_name) throws com.foxit.sdk.PDFException
| Set the display name. More...
void | setKeyName (String key_name) throws com.foxit.sdk.PDFException
| Set the key name string. More...
void | setSubtypeName (String subtype_name) throws com.foxit.sdk.PDFException
| Set the subtype name string. More...
void | setVisibility (boolean is_visible) throws com.foxit.sdk.PDFException
| Set the initial visibility of current field in application. More...

## Detailed Description

Schema field can be used to decide which information of a node is to be shown or hide in application.

## Constructor & Destructor Documentation

## ◆ SchemaField()

com.foxit.sdk.pdf.SchemaField.SchemaField | ( | SchemaField | other | ) |

Constructor, with another schema field object.

Parameters

  [in] | other | Another PDF portfolio folder object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.SchemaField.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.common.Base.

## ◆ getDisplayName()

String com.foxit.sdk.pdf.SchemaField.getDisplayName | ( |  | ) | throws com.foxit.sdk.PDFException

Get the display name.

Display name is used for displaying. This can be different from schema field's key name.

Returns
  Display name string.

## ◆ getKeyName()

String com.foxit.sdk.pdf.SchemaField.getKeyName | ( |  | ) | throws com.foxit.sdk.PDFException

Get the key name string.

Each schema field is stored by a unique key name. Schema field's key name can be used:

- as the field name for sorting in class Portfolio .
- as the entry's key name in file or folder node's dictionary when schema field's subtype means data type.

Returns
  Key name string.

## ◆ getSubtypeName()

String com.foxit.sdk.pdf.SchemaField.getSubtypeName | ( |  | ) | throws com.foxit.sdk.PDFException

Get the subtype name string.

Subtype name can be used to specify some properties of file node and folder node directly:

- "F", means the file name of an embedded file or name of a folder node.
- "Desc", means the description of an embedded file or descrpition of a folder node.
- "ModDate", means the modification date of the embedded file or descrpition of a folder node.
- "CreationDate", means the creation date of the embedded file or descrpition of a folder node.
- "Size", means the uncompressed size of the embedded file; a folder node does not have size.
- "CompressedSize", means the compressed size of the embedded file; a folder node does not have compressed size.

For other case, subtype name is used to specified the data type of an specified entry in file or folder node dictionary. The key for the entry is specified by current schema field's key name. and the data type is specified by:

- "S", means the field data shall be stored as a PDF text string.
- "D", means the field data shall be stored as a PDF date string.
- "N", means the field data shall be stored as a PDF number.

Returns
  Subtype name string.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.SchemaField.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ isVisible()

boolean com.foxit.sdk.pdf.SchemaField.isVisible | ( |  | ) | throws com.foxit.sdk.PDFException

Check if current field is initially visible in application or not.

Returns
  true means current field is initially visible in application, while false means current field is initially invisible in application.

## ◆ setDisplayName()

void com.foxit.sdk.pdf.SchemaField.setDisplayName | ( | String | display_name | ) | throws com.foxit.sdk.PDFException

Set the display name.

Display name is used for displaying. This can be different from schema field's key name.

Parameters

  [in] | display_name | Display name string. This should not be an empty string.

Returns
  None.

## ◆ setKeyName()

void com.foxit.sdk.pdf.SchemaField.setKeyName | ( | String | key_name | ) | throws com.foxit.sdk.PDFException

Set the key name string.

Each schema field is stored by a unique key name. Schema field's key name can be used:

- as the field name for sorting in class Portfolio .
- as the entry's key name in file or folder node's dictionary when schema field's subtype means data type.

Parameters

  [in] | key_name | New key name string. This should not be an empty string.

Returns
  None.

## ◆ setSubtypeName()

void com.foxit.sdk.pdf.SchemaField.setSubtypeName | ( | String | subtype_name | ) | throws com.foxit.sdk.PDFException

Set the subtype name string.

Subtype name can be used to specify some properties of file node and folder node directly:

- "F", means the file name of an embedded file or name of a folder node.
- "Desc", means the description of an embedded file or descrpition of a folder node.
- "ModDate", means the modification date of the embedded file or descrpition of a folder node.
- "CreationDate", means the creation date of the embedded file or descrpition of a folder node.
- "Size", means the uncompressed size of the embedded file; a folder node does not have size.
- "CompressedSize", means the compressed size of the embedded file; a folder node does not have compressed size.

For other case, subtype name is used to specified the data type of an specified entry in file or folder node dictionary. The key for the entry is specified by current schema field's key name. and the data type is specified by:

- "S", means the field data shall be stored as a PDF text string.
- "D", means the field data shall be stored as a PDF date string.
- "N", means the field data shall be stored as a PDF number.

Parameters

  [in] | subtype_name | Subtype name string. This should not be an empty string. Please refer to "Details" part for more information.

Returns
  None.

## ◆ setVisibility()

void com.foxit.sdk.pdf.SchemaField.setVisibility | ( | boolean | is_visible | ) | throws com.foxit.sdk.PDFException

Set the initial visibility of current field in application.

Parameters

  [in] | is_visible | true means current field is initially visible in application, while false means current field is initially invisible in application.

Returns
  None.